"""Create DataChannelList classes from schema."""

from importlib.resources import open_text
import json
import python_jsonschema_objects as pjs


with open_text("vista_gateway_client.resources", "DataChannelList.schema.json") as file:
    schema_data_channel = json.load(file)  


builder = pjs.ObjectBuilder(schema_data_channel)
ns = builder.build_classes(standardize_names=False)

for attr_name in dir(ns):
    if not attr_name.startswith('__'):
        globals()[attr_name] = getattr(ns, attr_name)
