"""Set the environment for the Vista Repository."""

from enum import Enum
from typing import Any


class VistaRepositoryEnvironment:
    """Set the environment for the Vista Repository."""

    @classmethod
    def _missing_(self, value: Any) -> None:
        raise ValueError("Unknown environment")


class VistaRepositoryEnvironmentHttp(VistaRepositoryEnvironment, Enum):
    """Set the environment for the Vista Repository."""

    Development = "http://localhost:8060"
    Test = "https://vista-gateway-test-api.acp.dnv.com"
    Production = "https://vista-gateway-api.dnv.com"


class VistaRepositoryEnvironmentMqtt(VistaRepositoryEnvironment, Enum):
    """Set the environment for the Vista Repository."""

    Development = "ws://localhost:8060/mqtt"
    Production = "wss://gw.vista.dnv.com/mqtt"
